package com.ywt.mg.domain.models.enums;

public enum MedicalInformationEnum {
    UNKNOWN("未知", 0),
    ARTICLE("文章", 1),
    VIDEO("视频", 2),
    PDFFile("PDF",3);



    private String desc;
    private int value;

    MedicalInformationEnum(String desc, int value) {
        this.desc = desc;
        this.value = value;
    }


    public String getDesc() {
        return desc;
    }

    public int getValue() {
        return value;
    }

    public static MedicalInformationEnum getMedicalInformation(int type) {
        switch (type) {
            case 1:
                return ARTICLE;
            case 2:
                return VIDEO;
            case 3:
                return PDFFile;
            default:
                return UNKNOWN;
        }
    }
}
